Announcement

Collapse
No announcement yet.

Required Steps for ARM Users (Pi, Zee S2, etc.) -- Deprecated as of version 1.2.2

Collapse
This topic is closed.
X
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • #16
    Originally posted by shill View Post
    What version of HS3 are you using?
    HS3 ZEE S2 Edition 3.0.0.280 (Linux) now.

    Was trying 3.0.0.291 before the last restore to get my system backup.

    Comment


    • #17
      Originally posted by srodgers View Post
      sudo apt-get install mono-vbnc
      That won't work, as it will require a lot of additional dependencies.

      In addition to the steps above, to add Visual Basic support:

      Code:
      cd /usr/local/src
      sudo wget -O mono-basic-3.8.tar.gz https://github.com/mono/mono-basic/archive/3.8.tar.gz 
      sudo tar -zvf mono-basic-3.8.tar.gz
      cd mono-basic-3.8
      sudo ./configure
      sudo make
      sudo make install

      Comment


      • #18
        Originally posted by shill View Post
        That won't work, as it will require a lot of additional dependencies.

        In addition to the steps above, to add Visual Basic support:

        Code:
        cd /usr/local/src
        sudo wget -O mono-basic-3.8.tar.gz https://github.com/mono/mono-basic/archive/3.8.tar.gz 
        sudo tar -zvf mono-basic-3.8.tar.gz
        cd mono-basic-3.8
        sudo ./configure
        sudo make
        sudo make install
        Ok, Will try that. Should I do this before I compile mono 3.12, or after or does it matter?

        Comment


        • #19
          Originally posted by kf6dlq View Post
          Ok, Will try that. Should I do this before I compile mono 3.12, or after or does it matter?
          After.

          Comment


          • #20
            Originally posted by shill View Post
            After.
            Installed and working, along with your plug in! Buying now, Thank you for ALL your help!

            Lyle

            Comment


            • #21
              Originally posted by kf6dlq View Post
              Installed and working, along with your plug in! Buying now, Thank you for ALL your help!

              Lyle
              That's fantastic news! If you run into any other errors or complaints about missing libraries, please do let me know.

              Comment


              • #22
                Originally posted by shill View Post
                That's fantastic news! If you run into any other errors or complaints about missing libraries, please do let me know.
                Don't forget to put this in your instructions at the beginning of the post, before you start compiling mono.

                sudo apt-get install libc6 libc6-dev or add it in the list after removing mono*

                Comment


                • #23
                  Originally posted by kf6dlq View Post
                  Don't forget to put this in your instructions at the beginning of the post, before you start compiling mono.

                  sudo apt-get install libc6 libc6-dev or add it in the list after removing mono*
                  Good catch - updated!

                  Comment

                  Working...
                  X